Erro dependencia gnome-shell no Debian

1. Erro dependencia gnome-shell no Debian

Gonzalo VC
Gonzalo_VC

(usa PCLinuxOS)

Enviado em 17/10/2020 - 10:46h

Meus caros, estou com Debian 10 (polilinux num Positivo Vaio, de fato) e o sistema, já na primeira atualização, ficou com um problema de pacote errado que não se atualiza e, assim, impede que qualquer outra coisa seja instalada no sistema (não dá para instalar outros apps porque o sistema está mal). O apt-get --fix-missing e o apt --fix-broken install não funcionam.

O erro é neste pacote:

A preparar para desempacotar .../gnome-shell-common_3.30.2-11~deb10u2_all.deb ...
A descompactar gnome-shell-common (3.30.2-11~deb10u2) sobre (3.30.2-11~deb10u1) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/gnome-shell-common_3.30.2-11~deb10u2_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/locale/pt_BR/LC_MESSAGES/gnome-shell.mo', que também está no pacote oem-translation 1.0.0
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/gnome-shell-common_3.30.2-11~deb10u2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Como resolver isso?
Obrigado.


  


2. Re: Erro dependencia gnome-shell no Debian

Izaias
izaias

(usa Ubuntu)

Enviado em 17/10/2020 - 11:29h

Gonzalo_VC escreveu:

Meus caros, estou com Debian 10 (polilinux num Positivo Vaio, de fato) e o sistema, já na primeira atualização, ficou com um problema de pacote errado que não se atualiza e, assim, impede que qualquer outra coisa seja instalada no sistema (não dá para instalar outros apps porque o sistema está mal). O apt-get --fix-missing e o apt --fix-broken install não funcionam.

O erro é neste pacote:

A preparar para desempacotar .../gnome-shell-common_3.30.2-11~deb10u2_all.deb ...
A descompactar gnome-shell-common (3.30.2-11~deb10u2) sobre (3.30.2-11~deb10u1) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/gnome-shell-common_3.30.2-11~deb10u2_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/locale/pt_BR/LC_MESSAGES/gnome-shell.mo', que também está no pacote oem-translation 1.0.0
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/gnome-shell-common_3.30.2-11~deb10u2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Como resolver isso?
Obrigado.


O Gnome Shell está nos repositórios do Debian.

sudo apt update
sudo apt install gnome-shell



3. Re: Erro dependencia gnome-shell no Debian

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 17/10/2020 - 11:35h

-poste saída comando abaixo p/ vermos como estão seus repositórios
nano /etc/apt/sources.list 



4. Re: Erro dependencia gnome-shell no Debian

Gonzalo VC
Gonzalo_VC

(usa PCLinuxOS)

Enviado em 17/10/2020 - 12:11h

clodoaldops escreveu:

-poste saída comando abaixo p/ vermos como estão seus repositórios
nano /etc/apt/sources.list 


Tem estes:
deb http://deb.debian.org/debian/ buster main
deb http://security.debian.org/ buster/updates main

e também estes (no aplicativo de update):
http://policorp.com.br/repositorio/d10/oem
http://policorp.com.br/repositorio/d10/vaio


5. Re: Erro dependencia gnome-shell no Debian

Gonzalo VC
Gonzalo_VC

(usa PCLinuxOS)

Enviado em 17/10/2020 - 12:14h

izaias escreveu:
O Gnome Shell está nos repositórios do Debian.

sudo apt update
sudo apt install gnome-shell


Sim, sim. Mas ele já está instalado. O problema é essa biblioteca...

[email protected]:/home/usuario# apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
gnome-shell : Depende: gnome-shell-common (= 3.30.2-11~deb10u2) mas 3.30.2-11~deb10u1 está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:/home/usuario# apt --fix-broken install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
O seguinte pacote foi instalado automaticamente e já não é necessário:
libmicrodns0
Utilize 'apt autoremove' para o remover.
The following additional packages will be installed:
gnome-shell-common
Os pacotes a seguir serão atualizados:
gnome-shell-common
1 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/635 kB de arquivos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Lendo logs de mudanças... Feito
(Lendo banco de dados ... 221381 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../gnome-shell-common_3.30.2-11~deb10u2_all.deb ...
A descompactar gnome-shell-common (3.30.2-11~deb10u2) sobre (3.30.2-11~deb10u1) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/gnome-shell-common_3.30.2-11~deb10u2_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/locale/pt_BR/LC_MESSAGES/gnome-shell.mo', que também está no pacote oem-translation 1.0.0
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/gnome-shell-common_3.30.2-11~deb10u2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



6. Re: Erro dependencia gnome-shell no Debian

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 17/10/2020 - 12:19h

deb http://deb.debian.org/debian/ buster main contrib non-free
deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
deb http://deb.debian.org/debian/ buster-updates main contrib non-free


-estes são os repositórios que usei no debian-10-buster e que funcionam sem problemas

-sugiro editar seus repositórios e comentar as fontes do policorp colocando um # na frente deles assim se quiser ativar novamente basta remover #



7. Re: Erro dependencia gnome-shell no Debian

Ricardo Groetaers
ricardogroetaers

(usa Linux Mint)

Enviado em 17/10/2020 - 17:31h

Gonzalo_VC escreveu: ... (polilinux num Positivo Vaio, de fato) ....

Linux personalizado para fabricantes de hardware.
Baseado no Debian 10.
Mexer nos repositórios do Debian é aceitável.
Mexer nesses repositórios personalizados:
http://policorp.com.br/repositorio/d10/oem
http://policorp.com.br/repositorio/d10/vaio
não é recomendável.
Algum hardware da máquina pode não funcionar corretamente.


8. Re: Erro dependencia gnome-shell no Debian

Gonzalo VC
Gonzalo_VC

(usa PCLinuxOS)

Enviado em 17/10/2020 - 19:44h

ricardogroetaers escreveu:

Gonzalo_VC escreveu: ... (polilinux num Positivo Vaio, de fato) ....

Linux personalizado para fabricantes de hardware.
Baseado no Debian 10.
Mexer nos repositórios do Debian é aceitável.
Mexer nesses repositórios personalizados:
http://policorp.com.br/repositorio/d10/oem
http://policorp.com.br/repositorio/d10/vaio
não é recomendável.
Algum hardware da máquina pode não funcionar corretamente.


De fato o trackpad deste laptop não funcionou com 4 distros diferentes que testei :-( Nem era detectado pelo Kubuntu, para verem a "josta"!


9. Re: Erro dependencia gnome-shell no Debian

Ricardo Groetaers
ricardogroetaers

(usa Linux Mint)

Enviado em 17/10/2020 - 20:13h

Obs: Os repositórios personalizados citados acima não são públicos, deve haver alguma chave de acesso no linux personalizado.



10. RESOLVIDO

Gonzalo VC
Gonzalo_VC

(usa PCLinuxOS)

Enviado em 23/10/2020 - 20:03h

Bem, depois de um zilhão de dias, os engenheiros da Positivo descobriram a forma:


dpkg --remove oem-translation
apt --fix-broken install


Consegui atualizar tudo e instalar novos pacotes dos que precisava urgente para trabalho!
Aleluia!
Vivendo e aprendendo ;-)
Abraço a todos!



11. Re: Erro dependencia gnome-shell no Debian

Ricardo Groetaers
ricardogroetaers

(usa Linux Mint)

Enviado em 23/10/2020 - 20:19h

Gonzalo_VC escreveu: ... estou com Debian 10 (polilinux num Positivo Vaio, de fato)
depois de um zilhão de dias, os engenheiros da Positivo descobriram a forma:
Consegui atualizar tudo e instalar novos pacotes ....

Obrigado por compartilhar a solução, ela será útil para outras pessoas.







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts